BDU:2017-02364: Уязвимость программного средства управления версиями Mercurial, связанная с отсутствием мер по очистке входных данных, позволяющая нарушителю выполнить произвольные команды операционной системы

Описание уязвимости Уязвимость программного средства управления версиями Mercurial связана с отсутствием мер по очистке входных данных (имен хостов, переданных в сетевой протокол SSH). Эксплуатация уязвимости может позволить нарушителю, действующему удалённо, выполнить поризвольные команды операционной системы
Вендор Matt Mackall
Наименование ПО Mercurial
Версия ПО до 4.2.3 включительно
Тип ПО Прикладное ПО информационных систем
Операционные системы и аппаратные платформы
  • Вендор не указан Unix . Не указана
  • Microsoft Corp. Windows . Не указана
  • Apple Inc. Mac OS X Не указана
  • Сообщество свободного программного обеспечения Linux - Не указана
Тип ошибки Непринятие мер по нейтрализации специальных элементов, используемых в команде операционной системы (Внедрение в команду операционной системы)
Идентификатор типа ошибки CWE-78
Класс уязвимости Уязвимость кода
Дата выявления 24.09.2017
Базовый вектор уязвимости
  • CVSS 2.0: AV:N/AC:L/Au:N/C:P/I:P/A:P
    CVSS 3.0: Вектор не задан
Уровень опасности уязвимости Высокий уровень опасности (базовая оценка CVSS 2.0 составляет 7,5)
Возможные меры по устранению уязвимости
Использование рекомендаций:
https://security.gentoo.org/glsa/201709-18
https://www.mercurial-scm.org/wiki/WhatsNew#Mercurial_4.3_.2F_4.3.1_.282017-08-10.29
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Инъекция
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -